---
title: Get ASN Overview.
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[Intel](https://developers.cloudflare.com/api/typescript/resources/intel)

[ASN](https://developers.cloudflare.com/api/typescript/resources/intel/subresources/asn)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get ASN Overview.

client.intel.asn.get([ASN](<https://developers.cloudflare.com/api/typescript/resources/$shared#(resource)%20%24shared%20%3E%20(model)%20asn%20%3E%20(schema)>)asn, ASNGetParams {account\_id } params, RequestOptionsoptions?): [ASN](<https://developers.cloudflare.com/api/typescript/resources/$shared#(resource)%20%24shared%20%3E%20(model)%20asn%20%3E%20(schema)>)

GET/accounts/{account\_id}/intel/asn/{asn}

Gets an overview of the Autonomous System Number (ASN) and a list of subnets for it.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Intel Write``Intel Read`

##### ParametersExpand Collapse

asn: [ASN](<https://developers.cloudflare.com/api/typescript/resources/$shared#(resource)%20%24shared%20%3E%20(model)%20asn%20%3E%20(schema)>)

[Link to this property](<#(resource)%20intel.asn%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20asn%20%3E%20(schema)>)

<details>

<summary>

params: ASNGetParams {account\_id }

</summary>

account\_id: string

Identifier.

maxLength32

<a href="#(resource)%20intel.asn%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20intel.asn%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

ASN = number

[Link to this property](<#(resource)%20%24shared%20%3E%20(model)%20asn%20%3E%20(schema)>)

### Get ASN Overview.

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const asn = await client.intel.asn.get(0, { account_id: '023e105f4ecef8ad9ca31a8372d0c353' });

console.log(asn);
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": 0
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": 0
}
```